package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[AttEndenceOrmorgscetorDTO]
 */
@Data
public class AttEndenceOrmorgscetorDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [DZ]
     *
     */
    @JSONField(name = "dz")
    @JsonProperty("dz")
    @Size(min = 0, max = 1000, message = "内容长度必须小于等于[1000]")
    private String dz;

    /**
     * 属性 [ATTENDENCEORMORGSECTORNAME]
     *
     */
    @JSONField(name = "attendenceormorgsectorname")
    @JsonProperty("attendenceormorgsectorname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String attendenceormorgsectorname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [KQDZ]
     *
     */
    @JSONField(name = "kqdz")
    @JsonProperty("kqdz")
    @Size(min = 0, max = 1000, message = "内容长度必须小于等于[1000]")
    private String kqdz;

    /**
     * 属性 [ATTENDENCEORMORGSECTORID]
     *
     */
    @JSONField(name = "attendenceormorgsectorid")
    @JsonProperty("attendenceormorgsectorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String attendenceormorgsectorid;

    /**
     * 属性 [ATTENDENCESETUPNAME]
     *
     */
    @JSONField(name = "attendencesetupname")
    @JsonProperty("attendencesetupname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String attendencesetupname;

    /**
     * 属性 [ORGNAME]
     *
     */
    @JSONField(name = "orgname")
    @JsonProperty("orgname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgname;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String orgid;

    /**
     * 属性 [ORMORGSECTORNAME]
     *
     */
    @JSONField(name = "ormorgsectorname")
    @JsonProperty("ormorgsectorname")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorname;

    /**
     * 属性 [ORMORGSECTORID]
     *
     */
    @JSONField(name = "ormorgsectorid")
    @JsonProperty("ormorgsectorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorid;

    /**
     * 属性 [ATTENDENCESETUPID]
     *
     */
    @JSONField(name = "attendencesetupid")
    @JsonProperty("attendencesetupid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String attendencesetupid;


    /**
     * 设置 [ATTENDENCEORMORGSECTORNAME]
     */
    public void setAttendenceormorgsectorname(String  attendenceormorgsectorname){
        this.attendenceormorgsectorname = attendenceormorgsectorname ;
        this.modify("attendenceormorgsectorname",attendenceormorgsectorname);
    }

    /**
     * 设置 [KQDZ]
     */
    public void setKqdz(String  kqdz){
        this.kqdz = kqdz ;
        this.modify("kqdz",kqdz);
    }

    /**
     * 设置 [ORMORGSECTORID]
     */
    public void setOrmorgsectorid(String  ormorgsectorid){
        this.ormorgsectorid = ormorgsectorid ;
        this.modify("ormorgsectorid",ormorgsectorid);
    }

    /**
     * 设置 [ATTENDENCESETUPID]
     */
    public void setAttendencesetupid(String  attendencesetupid){
        this.attendencesetupid = attendencesetupid ;
        this.modify("attendencesetupid",attendencesetupid);
    }


}


