package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[OrmTitleDTO]
 */
@Data
public class OrmTitleDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [TITLETYPE]
     *
     */
    @JSONField(name = "titletype")
    @JsonProperty("titletype")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String titletype;

    /**
     * 属性 [ORMTITLENAME]
     *
     */
    @JSONField(name = "ormtitlename")
    @JsonProperty("ormtitlename")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String ormtitlename;

    /**
     * 属性 [ORMTITLEID]
     *
     */
    @JSONField(name = "ormtitleid")
    @JsonProperty("ormtitleid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormtitleid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;


    /**
     * 设置 [TITLETYPE]
     */
    public void setTitletype(String  titletype){
        this.titletype = titletype ;
        this.modify("titletype",titletype);
    }

    /**
     * 设置 [ORMTITLENAME]
     */
    public void setOrmtitlename(String  ormtitlename){
        this.ormtitlename = ormtitlename ;
        this.modify("ormtitlename",ormtitlename);
    }


}


