package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[OrmXmbmxDTO]
 */
@Data
public class OrmXmbmxDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [XH]
     *
     */
    @JSONField(name = "xh")
    @JsonProperty("xh")
    private Integer xh;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [ORMXMBMXNAME]
     *
     */
    @JSONField(name = "ormxmbmxname")
    @JsonProperty("ormxmbmxname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ormxmbmxname;

    /**
     * 属性 [ORMXMBMXID]
     *
     */
    @JSONField(name = "ormxmbmxid")
    @JsonProperty("ormxmbmxid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormxmbmxid;

    /**
     * 属性 [ZSMC]
     *
     */
    @JSONField(name = "zsmc")
    @JsonProperty("zsmc")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String zsmc;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [ZSBH]
     *
     */
    @JSONField(name = "zsbh")
    @JsonProperty("zsbh")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String zsbh;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [XMRYLX]
     *
     */
    @JSONField(name = "xmrylx")
    @JsonProperty("xmrylx")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String xmrylx;

    /**
     * 属性 [ORMORGSECTORNAME]
     *
     */
    @JSONField(name = "ormorgsectorname")
    @JsonProperty("ormorgsectorname")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String ormorgsectorname;

    /**
     * 属性 [PIMPERSONNAME]
     *
     */
    @JSONField(name = "pimpersonname")
    @JsonProperty("pimpersonname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pimpersonname;

    /**
     * 属性 [ORMORGSECTORID]
     *
     */
    @JSONField(name = "ormorgsectorid")
    @JsonProperty("ormorgsectorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorid;

    /**
     * 属性 [PIMPERSONID]
     *
     */
    @JSONField(name = "pimpersonid")
    @JsonProperty("pimpersonid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pimpersonid;


    /**
     * 设置 [XH]
     */
    public void setXh(Integer  xh){
        this.xh = xh ;
        this.modify("xh",xh);
    }

    /**
     * 设置 [ORMXMBMXNAME]
     */
    public void setOrmxmbmxname(String  ormxmbmxname){
        this.ormxmbmxname = ormxmbmxname ;
        this.modify("ormxmbmxname",ormxmbmxname);
    }

    /**
     * 设置 [ZSMC]
     */
    public void setZsmc(String  zsmc){
        this.zsmc = zsmc ;
        this.modify("zsmc",zsmc);
    }

    /**
     * 设置 [ZSBH]
     */
    public void setZsbh(String  zsbh){
        this.zsbh = zsbh ;
        this.modify("zsbh",zsbh);
    }

    /**
     * 设置 [XMRYLX]
     */
    public void setXmrylx(String  xmrylx){
        this.xmrylx = xmrylx ;
        this.modify("xmrylx",xmrylx);
    }

    /**
     * 设置 [ORMORGSECTORID]
     */
    public void setOrmorgsectorid(String  ormorgsectorid){
        this.ormorgsectorid = ormorgsectorid ;
        this.modify("ormorgsectorid",ormorgsectorid);
    }

    /**
     * 设置 [PIMPERSONID]
     */
    public void setPimpersonid(String  pimpersonid){
        this.pimpersonid = pimpersonid ;
        this.modify("pimpersonid",pimpersonid);
    }


}


