package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[OrmXmrlcbDTO]
 */
@Data
public class OrmXmrlcbDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [ZZMC]
     *
     */
    @JSONField(name = "zzmc")
    @JsonProperty("zzmc")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String zzmc;

    /**
     * 属性 [XM]
     *
     */
    @JSONField(name = "xm")
    @JsonProperty("xm")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String xm;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [XCRY_COLOR]
     *
     */
    @JSONField(name = "xcry_color")
    @JsonProperty("xcry_color")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String xcryColor;

    /**
     * 属性 [XMSJRY_COLOR]
     *
     */
    @JSONField(name = "xmsjry_color")
    @JsonProperty("xmsjry_color")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String xmsjryColor;

    /**
     * 属性 [ORMXMRLCBNAME]
     *
     */
    @JSONField(name = "ormxmrlcbname")
    @JsonProperty("ormxmrlcbname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ormxmrlcbname;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [XMJHZCCB]
     *
     */
    @JSONField(name = "xmjhzccb")
    @JsonProperty("xmjhzccb")
    private Double xmjhzccb;

    /**
     * 属性 [XCED]
     *
     */
    @JSONField(name = "xced")
    @JsonProperty("xced")
    private Double xced;

    /**
     * 属性 [XMSJRY]
     *
     */
    @JSONField(name = "xmsjry")
    @JsonProperty("xmsjry")
    private Integer xmsjry;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [ORMXMRLCBID]
     *
     */
    @JSONField(name = "ormxmrlcbid")
    @JsonProperty("ormxmrlcbid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormxmrlcbid;

    /**
     * 属性 [XMSJZCCB]
     *
     */
    @JSONField(name = "xmsjzccb")
    @JsonProperty("xmsjzccb")
    private Double xmsjzccb;

    /**
     * 属性 [XCRY]
     *
     */
    @JSONField(name = "xcry")
    @JsonProperty("xcry")
    private Integer xcry;

    /**
     * 属性 [XMJHRY]
     *
     */
    @JSONField(name = "xmjhry")
    @JsonProperty("xmjhry")
    private Integer xmjhry;

    /**
     * 属性 [XMB]
     *
     */
    @JSONField(name = "xmb")
    @JsonProperty("xmb")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String xmb;


    /**
     * 设置 [ZZMC]
     */
    public void setZzmc(String  zzmc){
        this.zzmc = zzmc ;
        this.modify("zzmc",zzmc);
    }

    /**
     * 设置 [XM]
     */
    public void setXm(String  xm){
        this.xm = xm ;
        this.modify("xm",xm);
    }

    /**
     * 设置 [ORMXMRLCBNAME]
     */
    public void setOrmxmrlcbname(String  ormxmrlcbname){
        this.ormxmrlcbname = ormxmrlcbname ;
        this.modify("ormxmrlcbname",ormxmrlcbname);
    }

    /**
     * 设置 [XMJHZCCB]
     */
    public void setXmjhzccb(Double  xmjhzccb){
        this.xmjhzccb = xmjhzccb ;
        this.modify("xmjhzccb",xmjhzccb);
    }

    /**
     * 设置 [XCED]
     */
    public void setXced(Double  xced){
        this.xced = xced ;
        this.modify("xced",xced);
    }

    /**
     * 设置 [XMSJRY]
     */
    public void setXmsjry(Integer  xmsjry){
        this.xmsjry = xmsjry ;
        this.modify("xmsjry",xmsjry);
    }

    /**
     * 设置 [XMSJZCCB]
     */
    public void setXmsjzccb(Double  xmsjzccb){
        this.xmsjzccb = xmsjzccb ;
        this.modify("xmsjzccb",xmsjzccb);
    }

    /**
     * 设置 [XCRY]
     */
    public void setXcry(Integer  xcry){
        this.xcry = xcry ;
        this.modify("xcry",xcry);
    }

    /**
     * 设置 [XMJHRY]
     */
    public void setXmjhry(Integer  xmjhry){
        this.xmjhry = xmjhry ;
        this.modify("xmjhry",xmjhry);
    }

    /**
     * 设置 [XMB]
     */
    public void setXmb(String  xmb){
        this.xmb = xmb ;
        this.modify("xmb",xmb);
    }


}


