package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[OrmXmxqjhDTO]
 */
@Data
public class OrmXmxqjhDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [OLDID]
     *
     */
    @JSONField(name = "oldid")
    @JsonProperty("oldid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String oldid;

    /**
     * 属性 [JZMJ]
     *
     */
    @JSONField(name = "jzmj")
    @JsonProperty("jzmj")
    private Double jzmj;

    /**
     * 属性 [ORGSHORTNAME]
     *
     */
    @JSONField(name = "orgshortname")
    @JsonProperty("orgshortname")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String orgshortname;

    /**
     * 属性 [GQAP]
     *
     */
    @JSONField(name = "gqap")
    @JsonProperty("gqap")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String gqap;

    /**
     * 属性 [XMGMMS]
     *
     */
    @JSONField(name = "xmgmms")
    @JsonProperty("xmgmms")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String xmgmms;

    /**
     * 属性 [APPROVALSTATUS]
     *
     */
    @JSONField(name = "approvalstatus")
    @JsonProperty("approvalstatus")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String approvalstatus;

    /**
     * 属性 [ORGSECINFOID]
     *
     */
    @JSONField(name = "orgsecinfoid")
    @JsonProperty("orgsecinfoid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgsecinfoid;

    /**
     * 属性 [REASON]
     *
     */
    @JSONField(name = "reason")
    @JsonProperty("reason")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String reason;

    /**
     * 属性 [ORGINFOID]
     *
     */
    @JSONField(name = "orginfoid")
    @JsonProperty("orginfoid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orginfoid;

    /**
     * 属性 [ORGCODE]
     *
     */
    @JSONField(name = "orgcode")
    @JsonProperty("orgcode")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String orgcode;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgid;

    /**
     * 属性 [GCMCJBM]
     *
     */
    @JSONField(name = "gcmcjbm")
    @JsonProperty("gcmcjbm")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String gcmcjbm;

    /**
     * 属性 [ZTSG]
     *
     */
    @JSONField(name = "ztsg")
    @JsonProperty("ztsg")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String ztsg;

    /**
     * 属性 [BBH]
     *
     */
    @JSONField(name = "bbh")
    @JsonProperty("bbh")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bbh;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [DXMZGYQ]
     *
     */
    @JSONField(name = "dxmzgyq")
    @JsonProperty("dxmzgyq")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String dxmzgyq;

    /**
     * 属性 [EDITION]
     *
     */
    @JSONField(name = "edition")
    @JsonProperty("edition")
    private Double edition;

    /**
     * 属性 [JHCB]
     *
     */
    @JSONField(name = "jhcb")
    @JsonProperty("jhcb")
    private Double jhcb;

    /**
     * 属性 [ORGINFONAME]
     *
     */
    @JSONField(name = "orginfoname")
    @JsonProperty("orginfoname")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String orginfoname;

    /**
     * 属性 [GCZJ]
     *
     */
    @JSONField(name = "gczj")
    @JsonProperty("gczj")
    private Double gczj;

    /**
     * 属性 [XMLX]
     *
     */
    @JSONField(name = "xmlx")
    @JsonProperty("xmlx")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String xmlx;

    /**
     * 属性 [ZSZX]
     *
     */
    @JSONField(name = "zszx")
    @JsonProperty("zszx")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String zszx;

    /**
     * 属性 [ORMXMXQJHNAME]
     *
     */
    @JSONField(name = "ormxmxqjhname")
    @JsonProperty("ormxmxqjhname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ormxmxqjhname;

    /**
     * 属性 [EDITIONSTATE]
     *
     */
    @JSONField(name = "editionstate")
    @JsonProperty("editionstate")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String editionstate;

    /**
     * 属性 [GCJS]
     *
     */
    @JSONField(name = "gcjs")
    @JsonProperty("gcjs")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String gcjs;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [GCSW]
     *
     */
    @JSONField(name = "gcsw")
    @JsonProperty("gcsw")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String gcsw;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [QTJD]
     *
     */
    @JSONField(name = "qtjd")
    @JsonProperty("qtjd")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String qtjd;

    /**
     * 属性 [XMBLX]
     *
     */
    @JSONField(name = "xmblx")
    @JsonProperty("xmblx")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String xmblx;

    /**
     * 属性 [DXMJLYQ]
     *
     */
    @JSONField(name = "dxmjlyq")
    @JsonProperty("dxmjlyq")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String dxmjlyq;

    /**
     * 属性 [XMLXQT]
     *
     */
    @JSONField(name = "xmlxqt")
    @JsonProperty("xmlxqt")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String xmlxqt;

    /**
     * 属性 [XMBMC]
     *
     */
    @JSONField(name = "xmbmc")
    @JsonProperty("xmbmc")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String xmbmc;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [SGJD]
     *
     */
    @JSONField(name = "sgjd")
    @JsonProperty("sgjd")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String sgjd;

    /**
     * 属性 [XMJBQK]
     *
     */
    @JSONField(name = "xmjbqk")
    @JsonProperty("xmjbqk")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String xmjbqk;

    /**
     * 属性 [ORMXMXQJHID]
     *
     */
    @JSONField(name = "ormxmxqjhid")
    @JsonProperty("ormxmxqjhid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormxmxqjhid;

    /**
     * 属性 [ORDERVALUE]
     *
     */
    @JSONField(name = "ordervalue")
    @JsonProperty("ordervalue")
    private Integer ordervalue;

    /**
     * 属性 [XMBJC]
     *
     */
    @JSONField(name = "xmbjc")
    @JsonProperty("xmbjc")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String xmbjc;

    /**
     * 属性 [ORMXMGLNAME]
     *
     */
    @JSONField(name = "ormxmglname")
    @JsonProperty("ormxmglname")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String ormxmglname;

    /**
     * 属性 [XMBH]
     *
     */
    @JSONField(name = "xmbh")
    @JsonProperty("xmbh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String xmbh;

    /**
     * 属性 [PIMPERSONNAME]
     *
     */
    @JSONField(name = "pimpersonname")
    @JsonProperty("pimpersonname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pimpersonname;

    /**
     * 属性 [PIMPERSONID]
     *
     */
    @JSONField(name = "pimpersonid")
    @JsonProperty("pimpersonid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pimpersonid;

    /**
     * 属性 [ORMXMGLID]
     *
     */
    @JSONField(name = "ormxmglid")
    @JsonProperty("ormxmglid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormxmglid;


    /**
     * 设置 [OLDID]
     */
    public void setOldid(String  oldid){
        this.oldid = oldid ;
        this.modify("oldid",oldid);
    }

    /**
     * 设置 [JZMJ]
     */
    public void setJzmj(Double  jzmj){
        this.jzmj = jzmj ;
        this.modify("jzmj",jzmj);
    }

    /**
     * 设置 [ORGSHORTNAME]
     */
    public void setOrgshortname(String  orgshortname){
        this.orgshortname = orgshortname ;
        this.modify("orgshortname",orgshortname);
    }

    /**
     * 设置 [GQAP]
     */
    public void setGqap(String  gqap){
        this.gqap = gqap ;
        this.modify("gqap",gqap);
    }

    /**
     * 设置 [XMGMMS]
     */
    public void setXmgmms(String  xmgmms){
        this.xmgmms = xmgmms ;
        this.modify("xmgmms",xmgmms);
    }

    /**
     * 设置 [APPROVALSTATUS]
     */
    public void setApprovalstatus(String  approvalstatus){
        this.approvalstatus = approvalstatus ;
        this.modify("approvalstatus",approvalstatus);
    }

    /**
     * 设置 [ORGSECINFOID]
     */
    public void setOrgsecinfoid(String  orgsecinfoid){
        this.orgsecinfoid = orgsecinfoid ;
        this.modify("orgsecinfoid",orgsecinfoid);
    }

    /**
     * 设置 [REASON]
     */
    public void setReason(String  reason){
        this.reason = reason ;
        this.modify("reason",reason);
    }

    /**
     * 设置 [ORGINFOID]
     */
    public void setOrginfoid(String  orginfoid){
        this.orginfoid = orginfoid ;
        this.modify("orginfoid",orginfoid);
    }

    /**
     * 设置 [ORGCODE]
     */
    public void setOrgcode(String  orgcode){
        this.orgcode = orgcode ;
        this.modify("orgcode",orgcode);
    }

    /**
     * 设置 [GCMCJBM]
     */
    public void setGcmcjbm(String  gcmcjbm){
        this.gcmcjbm = gcmcjbm ;
        this.modify("gcmcjbm",gcmcjbm);
    }

    /**
     * 设置 [ZTSG]
     */
    public void setZtsg(String  ztsg){
        this.ztsg = ztsg ;
        this.modify("ztsg",ztsg);
    }

    /**
     * 设置 [BBH]
     */
    public void setBbh(String  bbh){
        this.bbh = bbh ;
        this.modify("bbh",bbh);
    }

    /**
     * 设置 [DXMZGYQ]
     */
    public void setDxmzgyq(String  dxmzgyq){
        this.dxmzgyq = dxmzgyq ;
        this.modify("dxmzgyq",dxmzgyq);
    }

    /**
     * 设置 [EDITION]
     */
    public void setEdition(Double  edition){
        this.edition = edition ;
        this.modify("edition",edition);
    }

    /**
     * 设置 [JHCB]
     */
    public void setJhcb(Double  jhcb){
        this.jhcb = jhcb ;
        this.modify("jhcb",jhcb);
    }

    /**
     * 设置 [ORGINFONAME]
     */
    public void setOrginfoname(String  orginfoname){
        this.orginfoname = orginfoname ;
        this.modify("orginfoname",orginfoname);
    }

    /**
     * 设置 [GCZJ]
     */
    public void setGczj(Double  gczj){
        this.gczj = gczj ;
        this.modify("gczj",gczj);
    }

    /**
     * 设置 [XMLX]
     */
    public void setXmlx(String  xmlx){
        this.xmlx = xmlx ;
        this.modify("xmlx",xmlx);
    }

    /**
     * 设置 [ZSZX]
     */
    public void setZszx(String  zszx){
        this.zszx = zszx ;
        this.modify("zszx",zszx);
    }

    /**
     * 设置 [ORMXMXQJHNAME]
     */
    public void setOrmxmxqjhname(String  ormxmxqjhname){
        this.ormxmxqjhname = ormxmxqjhname ;
        this.modify("ormxmxqjhname",ormxmxqjhname);
    }

    /**
     * 设置 [EDITIONSTATE]
     */
    public void setEditionstate(String  editionstate){
        this.editionstate = editionstate ;
        this.modify("editionstate",editionstate);
    }

    /**
     * 设置 [GCJS]
     */
    public void setGcjs(String  gcjs){
        this.gcjs = gcjs ;
        this.modify("gcjs",gcjs);
    }

    /**
     * 设置 [GCSW]
     */
    public void setGcsw(String  gcsw){
        this.gcsw = gcsw ;
        this.modify("gcsw",gcsw);
    }

    /**
     * 设置 [QTJD]
     */
    public void setQtjd(String  qtjd){
        this.qtjd = qtjd ;
        this.modify("qtjd",qtjd);
    }

    /**
     * 设置 [XMBLX]
     */
    public void setXmblx(String  xmblx){
        this.xmblx = xmblx ;
        this.modify("xmblx",xmblx);
    }

    /**
     * 设置 [DXMJLYQ]
     */
    public void setDxmjlyq(String  dxmjlyq){
        this.dxmjlyq = dxmjlyq ;
        this.modify("dxmjlyq",dxmjlyq);
    }

    /**
     * 设置 [XMLXQT]
     */
    public void setXmlxqt(String  xmlxqt){
        this.xmlxqt = xmlxqt ;
        this.modify("xmlxqt",xmlxqt);
    }

    /**
     * 设置 [XMBMC]
     */
    public void setXmbmc(String  xmbmc){
        this.xmbmc = xmbmc ;
        this.modify("xmbmc",xmbmc);
    }

    /**
     * 设置 [SGJD]
     */
    public void setSgjd(String  sgjd){
        this.sgjd = sgjd ;
        this.modify("sgjd",sgjd);
    }

    /**
     * 设置 [XMJBQK]
     */
    public void setXmjbqk(String  xmjbqk){
        this.xmjbqk = xmjbqk ;
        this.modify("xmjbqk",xmjbqk);
    }

    /**
     * 设置 [XMBJC]
     */
    public void setXmbjc(String  xmbjc){
        this.xmbjc = xmbjc ;
        this.modify("xmbjc",xmbjc);
    }

    /**
     * 设置 [PIMPERSONID]
     */
    public void setPimpersonid(String  pimpersonid){
        this.pimpersonid = pimpersonid ;
        this.modify("pimpersonid",pimpersonid);
    }

    /**
     * 设置 [ORMXMGLID]
     */
    public void setOrmxmglid(String  ormxmglid){
        this.ormxmglid = ormxmglid ;
        this.modify("ormxmglid",ormxmglid);
    }


}


