package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[ParJxjgDTO]
 */
@Data
public class ParJxjgDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [PM]
     *
     */
    @JSONField(name = "pm")
    @JsonProperty("pm")
    private Integer pm;

    /**
     * 属性 [PARJXJGID]
     *
     */
    @JSONField(name = "parjxjgid")
    @JsonProperty("parjxjgid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parjxjgid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [BM]
     *
     */
    @JSONField(name = "bm")
    @JsonProperty("bm")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String bm;

    /**
     * 属性 [KHPGDJ]
     *
     */
    @JSONField(name = "khpgdj")
    @JsonProperty("khpgdj")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String khpgdj;

    /**
     * 属性 [PARJXJGNAME]
     *
     */
    @JSONField(name = "parjxjgname")
    @JsonProperty("parjxjgname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parjxjgname;

    /**
     * 属性 [YG]
     *
     */
    @JSONField(name = "yg")
    @JsonProperty("yg")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String yg;

    /**
     * 属性 [ND]
     *
     */
    @JSONField(name = "nd")
    @JsonProperty("nd")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String nd;

    /**
     * 属性 [KHLX]
     *
     */
    @JSONField(name = "khlx")
    @JsonProperty("khlx")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String khlx;

    /**
     * 属性 [YGID]
     *
     */
    @JSONField(name = "ygid")
    @JsonProperty("ygid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygid;

    /**
     * 属性 [ZF]
     *
     */
    @JSONField(name = "zf")
    @JsonProperty("zf")
    private Double zf;

    /**
     * 属性 [ZZ]
     *
     */
    @JSONField(name = "zz")
    @JsonProperty("zz")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String zz;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;


    /**
     * 设置 [PM]
     */
    public void setPm(Integer  pm){
        this.pm = pm ;
        this.modify("pm",pm);
    }

    /**
     * 设置 [BM]
     */
    public void setBm(String  bm){
        this.bm = bm ;
        this.modify("bm",bm);
    }

    /**
     * 设置 [KHPGDJ]
     */
    public void setKhpgdj(String  khpgdj){
        this.khpgdj = khpgdj ;
        this.modify("khpgdj",khpgdj);
    }

    /**
     * 设置 [PARJXJGNAME]
     */
    public void setParjxjgname(String  parjxjgname){
        this.parjxjgname = parjxjgname ;
        this.modify("parjxjgname",parjxjgname);
    }

    /**
     * 设置 [YG]
     */
    public void setYg(String  yg){
        this.yg = yg ;
        this.modify("yg",yg);
    }

    /**
     * 设置 [ND]
     */
    public void setNd(String  nd){
        this.nd = nd ;
        this.modify("nd",nd);
    }

    /**
     * 设置 [KHLX]
     */
    public void setKhlx(String  khlx){
        this.khlx = khlx ;
        this.modify("khlx",khlx);
    }

    /**
     * 设置 [YGID]
     */
    public void setYgid(String  ygid){
        this.ygid = ygid ;
        this.modify("ygid",ygid);
    }

    /**
     * 设置 [ZF]
     */
    public void setZf(Double  zf){
        this.zf = zf ;
        this.modify("zf",zf);
    }

    /**
     * 设置 [ZZ]
     */
    public void setZz(String  zz){
        this.zz = zz ;
        this.modify("zz",zz);
    }


}


