package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[ParJxkhmbmxDTO]
 */
@Data
public class ParJxkhmbmxDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [PARJXKHMBMXNAME]
     *
     */
    @JSONField(name = "parjxkhmbmxname")
    @JsonProperty("parjxkhmbmxname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parjxkhmbmxname;

    /**
     * 属性 [ZDFZ]
     *
     */
    @JSONField(name = "zdfz")
    @JsonProperty("zdfz")
    private BigDecimal zdfz;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [PARJXKHMBMXID]
     *
     */
    @JSONField(name = "parjxkhmbmxid")
    @JsonProperty("parjxkhmbmxid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parjxkhmbmxid;

    /**
     * 属性 [FZ]
     *
     */
    @JSONField(name = "fz")
    @JsonProperty("fz")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String fz;

    /**
     * 属性 [ZB]
     *
     */
    @JSONField(name = "zb")
    @JsonProperty("zb")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String zb;

    /**
     * 属性 [XH]
     *
     */
    @JSONField(name = "xh")
    @JsonProperty("xh")
    private Integer xh;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [BZ]
     *
     */
    @JSONField(name = "bz")
    @JsonProperty("bz")
    @Size(min = 0, max = 1048576, message = "内容长度必须小于等于[1048576]")
    private String bz;

    /**
     * 属性 [ZXFZ]
     *
     */
    @JSONField(name = "zxfz")
    @JsonProperty("zxfz")
    private BigDecimal zxfz;

    /**
     * 属性 [PARJXKHMBNAME]
     *
     */
    @JSONField(name = "parjxkhmbname")
    @JsonProperty("parjxkhmbname")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String parjxkhmbname;

    /**
     * 属性 [PARJXKHMBID]
     *
     */
    @JSONField(name = "parjxkhmbid")
    @JsonProperty("parjxkhmbid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parjxkhmbid;


    /**
     * 设置 [PARJXKHMBMXNAME]
     */
    public void setParjxkhmbmxname(String  parjxkhmbmxname){
        this.parjxkhmbmxname = parjxkhmbmxname ;
        this.modify("parjxkhmbmxname",parjxkhmbmxname);
    }

    /**
     * 设置 [ZDFZ]
     */
    public void setZdfz(BigDecimal  zdfz){
        this.zdfz = zdfz ;
        this.modify("zdfz",zdfz);
    }

    /**
     * 设置 [FZ]
     */
    public void setFz(String  fz){
        this.fz = fz ;
        this.modify("fz",fz);
    }

    /**
     * 设置 [ZB]
     */
    public void setZb(String  zb){
        this.zb = zb ;
        this.modify("zb",zb);
    }

    /**
     * 设置 [XH]
     */
    public void setXh(Integer  xh){
        this.xh = xh ;
        this.modify("xh",xh);
    }

    /**
     * 设置 [BZ]
     */
    public void setBz(String  bz){
        this.bz = bz ;
        this.modify("bz",bz);
    }

    /**
     * 设置 [ZXFZ]
     */
    public void setZxfz(BigDecimal  zxfz){
        this.zxfz = zxfz ;
        this.modify("zxfz",zxfz);
    }

    /**
     * 设置 [PARJXKHMBID]
     */
    public void setParjxkhmbid(String  parjxkhmbid){
        this.parjxkhmbid = parjxkhmbid ;
        this.modify("parjxkhmbid",parjxkhmbid);
    }


}


