package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[ParKhzcmxDTO]
 */
@Data
public class ParKhzcmxDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [KHNR]
     *
     */
    @JSONField(name = "khnr")
    @JsonProperty("khnr")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String khnr;

    /**
     * 属性 [SZQZ]
     *
     */
    @JSONField(name = "szqz")
    @JsonProperty("szqz")
    private Double szqz;

    /**
     * 属性 [PARKHZCMXID]
     *
     */
    @JSONField(name = "parkhzcmxid")
    @JsonProperty("parkhzcmxid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parkhzcmxid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [SFQY]
     *
     */
    @JSONField(name = "sfqy")
    @JsonProperty("sfqy")
    private Integer sfqy;

    /**
     * 属性 [XH]
     *
     */
    @JSONField(name = "xh")
    @JsonProperty("xh")
    private Integer xh;

    /**
     * 属性 [PARKHZCMXNAME]
     *
     */
    @JSONField(name = "parkhzcmxname")
    @JsonProperty("parkhzcmxname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parkhzcmxname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [PARASSESSTEMPLATENAME]
     *
     */
    @JSONField(name = "parassesstemplatename")
    @JsonProperty("parassesstemplatename")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parassesstemplatename;

    /**
     * 属性 [KHDX]
     *
     */
    @JSONField(name = "khdx")
    @JsonProperty("khdx")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String khdx;

    /**
     * 属性 [PARJXKHJCSZNAME]
     *
     */
    @JSONField(name = "parjxkhjcszname")
    @JsonProperty("parjxkhjcszname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parjxkhjcszname;

    /**
     * 属性 [PARASSESSTEMPLATEID]
     *
     */
    @JSONField(name = "parassesstemplateid")
    @JsonProperty("parassesstemplateid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parassesstemplateid;

    /**
     * 属性 [PARJXKHJCSZID]
     *
     */
    @JSONField(name = "parjxkhjcszid")
    @JsonProperty("parjxkhjcszid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parjxkhjcszid;


    /**
     * 设置 [KHNR]
     */
    public void setKhnr(String  khnr){
        this.khnr = khnr ;
        this.modify("khnr",khnr);
    }

    /**
     * 设置 [SZQZ]
     */
    public void setSzqz(Double  szqz){
        this.szqz = szqz ;
        this.modify("szqz",szqz);
    }

    /**
     * 设置 [SFQY]
     */
    public void setSfqy(Integer  sfqy){
        this.sfqy = sfqy ;
        this.modify("sfqy",sfqy);
    }

    /**
     * 设置 [XH]
     */
    public void setXh(Integer  xh){
        this.xh = xh ;
        this.modify("xh",xh);
    }

    /**
     * 设置 [PARKHZCMXNAME]
     */
    public void setParkhzcmxname(String  parkhzcmxname){
        this.parkhzcmxname = parkhzcmxname ;
        this.modify("parkhzcmxname",parkhzcmxname);
    }

    /**
     * 设置 [PARASSESSTEMPLATEID]
     */
    public void setParassesstemplateid(String  parassesstemplateid){
        this.parassesstemplateid = parassesstemplateid ;
        this.modify("parassesstemplateid",parassesstemplateid);
    }

    /**
     * 设置 [PARJXKHJCSZID]
     */
    public void setParjxkhjcszid(String  parjxkhjcszid){
        this.parjxkhjcszid = parjxkhjcszid ;
        this.modify("parjxkhjcszid",parjxkhjcszid);
    }


}


