package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[ParZnbmndlhmbDTO]
 */
@Data
public class ParZnbmndlhmbDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [SSTZ]
     *
     */
    @JSONField(name = "sstz")
    @JsonProperty("sstz")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String sstz;

    /**
     * 属性 [ND]
     *
     */
    @JSONField(name = "nd")
    @JsonProperty("nd")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String nd;

    /**
     * 属性 [PARZNBMNDLHMBNAME]
     *
     */
    @JSONField(name = "parznbmndlhmbname")
    @JsonProperty("parznbmndlhmbname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String parznbmndlhmbname;

    /**
     * 属性 [BMFZR]
     *
     */
    @JSONField(name = "bmfzr")
    @JsonProperty("bmfzr")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String bmfzr;

    /**
     * 属性 [XH]
     *
     */
    @JSONField(name = "xh")
    @JsonProperty("xh")
    private Integer xh;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [PARZNBMNDLHMBID]
     *
     */
    @JSONField(name = "parznbmndlhmbid")
    @JsonProperty("parznbmndlhmbid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String parznbmndlhmbid;

    /**
     * 属性 [JXJD]
     *
     */
    @JSONField(name = "jxjd")
    @JsonProperty("jxjd")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String jxjd;

    /**
     * 属性 [MC]
     *
     */
    @JSONField(name = "mc")
    @JsonProperty("mc")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String mc;

    /**
     * 属性 [ORMORGSECTORNAME]
     *
     */
    @JSONField(name = "ormorgsectorname")
    @JsonProperty("ormorgsectorname")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String ormorgsectorname;

    /**
     * 属性 [SSORG]
     *
     */
    @JSONField(name = "ssorg")
    @JsonProperty("ssorg")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ssorg;

    /**
     * 属性 [ORMORGSECTORID]
     *
     */
    @JSONField(name = "ormorgsectorid")
    @JsonProperty("ormorgsectorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorid;


    /**
     * 设置 [SSTZ]
     */
    public void setSstz(String  sstz){
        this.sstz = sstz ;
        this.modify("sstz",sstz);
    }

    /**
     * 设置 [ND]
     */
    public void setNd(String  nd){
        this.nd = nd ;
        this.modify("nd",nd);
    }

    /**
     * 设置 [PARZNBMNDLHMBNAME]
     */
    public void setParznbmndlhmbname(String  parznbmndlhmbname){
        this.parznbmndlhmbname = parznbmndlhmbname ;
        this.modify("parznbmndlhmbname",parznbmndlhmbname);
    }

    /**
     * 设置 [BMFZR]
     */
    public void setBmfzr(String  bmfzr){
        this.bmfzr = bmfzr ;
        this.modify("bmfzr",bmfzr);
    }

    /**
     * 设置 [XH]
     */
    public void setXh(Integer  xh){
        this.xh = xh ;
        this.modify("xh",xh);
    }

    /**
     * 设置 [JXJD]
     */
    public void setJxjd(String  jxjd){
        this.jxjd = jxjd ;
        this.modify("jxjd",jxjd);
    }

    /**
     * 设置 [MC]
     */
    public void setMc(String  mc){
        this.mc = mc ;
        this.modify("mc",mc);
    }

    /**
     * 设置 [ORMORGSECTORID]
     */
    public void setOrmorgsectorid(String  ormorgsectorid){
        this.ormorgsectorid = ormorgsectorid ;
        this.modify("ormorgsectorid",ormorgsectorid);
    }


}


