package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[PcmCsrcmspjDTO]
 */
@Data
public class PcmCsrcmspjDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [PCMCSRCMSPJID]
     *
     */
    @JSONField(name = "pcmcsrcmspjid")
    @JsonProperty("pcmcsrcmspjid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmcsrcmspjid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [MSPJ]
     *
     */
    @JSONField(name = "mspj")
    @JsonProperty("mspj")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String mspj;

    /**
     * 属性 [MSCJ]
     *
     */
    @JSONField(name = "mscj")
    @JsonProperty("mscj")
    private Double mscj;

    /**
     * 属性 [YGMC]
     *
     */
    @JSONField(name = "ygmc")
    @JsonProperty("ygmc")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygmc;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [YGBH]
     *
     */
    @JSONField(name = "ygbh")
    @JsonProperty("ygbh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygbh;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [PCMCSRCMSPJNAME]
     *
     */
    @JSONField(name = "pcmcsrcmspjname")
    @JsonProperty("pcmcsrcmspjname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pcmcsrcmspjname;


    /**
     * 设置 [MSPJ]
     */
    public void setMspj(String  mspj){
        this.mspj = mspj ;
        this.modify("mspj",mspj);
    }

    /**
     * 设置 [MSCJ]
     */
    public void setMscj(Double  mscj){
        this.mscj = mscj ;
        this.modify("mscj",mscj);
    }

    /**
     * 设置 [YGMC]
     */
    public void setYgmc(String  ygmc){
        this.ygmc = ygmc ;
        this.modify("ygmc",ygmc);
    }

    /**
     * 设置 [YGBH]
     */
    public void setYgbh(String  ygbh){
        this.ygbh = ygbh ;
        this.modify("ygbh",ygbh);
    }

    /**
     * 设置 [PCMCSRCMSPJNAME]
     */
    public void setPcmcsrcmspjname(String  pcmcsrcmspjname){
        this.pcmcsrcmspjname = pcmcsrcmspjname ;
        this.modify("pcmcsrcmspjname",pcmcsrcmspjname);
    }


}


