package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[PcmGbhmcDTO]
 */
@Data
public class PcmGbhmcDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [ORDERVALUE]
     *
     */
    @JSONField(name = "ordervalue")
    @JsonProperty("ordervalue")
    private Integer ordervalue;

    /**
     * 属性 [DAXL]
     *
     */
    @JSONField(name = "daxl")
    @JsonProperty("daxl")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String daxl;

    /**
     * 属性 [RZNLDQ]
     *
     */
    @JSONField(name = "rznldq")
    @JsonProperty("rznldq")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String rznldq;

    /**
     * 属性 [ZYJSZW]
     *
     */
    @JSONField(name = "zyjszw")
    @JsonProperty("zyjszw")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String zyjszw;

    /**
     * 属性 [ISLEADERTEAM]
     *
     */
    @JSONField(name = "isleaderteam")
    @JsonProperty("isleaderteam")
    private Integer isleaderteam;

    /**
     * 属性 [MZ]
     *
     */
    @JSONField(name = "mz")
    @JsonProperty("mz")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String mz;

    /**
     * 属性 [HIGHEDUCATION]
     *
     */
    @JSONField(name = "higheducation")
    @JsonProperty("higheducation")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String higheducation;

    /**
     * 属性 [ZYZG2]
     *
     */
    @JSONField(name = "zyzg2")
    @JsonProperty("zyzg2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String zyzg2;

    /**
     * 属性 [DYXLSSZY2]
     *
     */
    @JSONField(name = "dyxlsszy2")
    @JsonProperty("dyxlsszy2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String dyxlsszy2;

    /**
     * 属性 [ZT2]
     *
     */
    @JSONField(name = "zt2")
    @JsonProperty("zt2")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String zt2;

    /**
     * 属性 [JLSPZT]
     *
     */
    @JSONField(name = "jlspzt")
    @JsonProperty("jlspzt")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String jlspzt;

    /**
     * 属性 [PIMPERSONNAME]
     *
     */
    @JSONField(name = "pimpersonname")
    @JsonProperty("pimpersonname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pimpersonname;

    /**
     * 属性 [LGNX2]
     *
     */
    @JSONField(name = "lgnx2")
    @JsonProperty("lgnx2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String lgnx2;

    /**
     * 属性 [RANKRQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rankrq" , format="yyyy-MM-dd")
    @JsonProperty("rankrq")
    private Timestamp rankrq;

    /**
     * 属性 [RZSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rzsj" , format="yyyy-MM-dd")
    @JsonProperty("rzsj")
    private Timestamp rzsj;

    /**
     * 属性 [SGKSRQ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "sgksrq2" , format="yyyy-MM-dd")
    @JsonProperty("sgksrq2")
    private Timestamp sgksrq2;

    /**
     * 属性 [RZDQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rzdq" , format="yyyy-MM-dd")
    @JsonProperty("rzdq")
    private Timestamp rzdq;

    /**
     * 属性 [JLSS]
     *
     */
    @JSONField(name = "jlss")
    @JsonProperty("jlss")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String jlss;

    /**
     * 属性 [DARDSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "dardsj" , format="yyyy-MM-dd")
    @JsonProperty("dardsj")
    private Timestamp dardsj;

    /**
     * 属性 [JLGLBH]
     *
     */
    @JSONField(name = "jlglbh")
    @JsonProperty("jlglbh")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String jlglbh;

    /**
     * 属性 [ZWRQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "zwrq" , format="yyyy-MM-dd")
    @JsonProperty("zwrq")
    private Timestamp zwrq;

    /**
     * 属性 [CFYXJSRQ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "cfyxjsrq2" , format="yyyy-MM-dd")
    @JsonProperty("cfyxjsrq2")
    private Timestamp cfyxjsrq2;

    /**
     * 属性 [POSTEXPIRATION2]
     *
     */
    @JSONField(name = "postexpiration2")
    @JsonProperty("postexpiration2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String postexpiration2;

    /**
     * 属性 [KHCJTX2]
     *
     */
    @JSONField(name = "khcjtx2")
    @JsonProperty("khcjtx2")
    private BigDecimal khcjtx2;

    /**
     * 属性 [ZJNX2]
     *
     */
    @JSONField(name = "zjnx2")
    @JsonProperty("zjnx2")
    private BigDecimal zjnx2;

    /**
     * 属性 [HQXLBYYX2]
     *
     */
    @JSONField(name = "hqxlbyyx2")
    @JsonProperty("hqxlbyyx2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String hqxlbyyx2;

    /**
     * 属性 [RANK]
     *
     */
    @JSONField(name = "rank")
    @JsonProperty("rank")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String rank;

    /**
     * 属性 [GW]
     *
     */
    @JSONField(name = "gw")
    @JsonProperty("gw")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String gw;

    /**
     * 属性 [ZJHM]
     *
     */
    @JSONField(name = "zjhm")
    @JsonProperty("zjhm")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String zjhm;

    /**
     * 属性 [ORMORGSECTORNAME]
     *
     */
    @JSONField(name = "ormorgsectorname")
    @JsonProperty("ormorgsectorname")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorname;

    /**
     * 属性 [JZRZ2]
     *
     */
    @JSONField(name = "jzrz2")
    @JsonProperty("jzrz2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String jzrz2;

    /**
     * 属性 [RZNLDQ_COLOR]
     *
     */
    @JSONField(name = "rznldq_color")
    @JsonProperty("rznldq_color")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String rznldqColor;

    /**
     * 属性 [ZW]
     *
     */
    @JSONField(name = "zw")
    @JsonProperty("zw")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String zw;

    /**
     * 属性 [KHCJ]
     *
     */
    @JSONField(name = "khcj")
    @JsonProperty("khcj")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String khcj;

    /**
     * 属性 [DACSRQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "dacsrq" , format="yyyy-MM-dd")
    @JsonProperty("dacsrq")
    private Timestamp dacsrq;

    /**
     * 属性 [ZZDZS]
     *
     */
    @JSONField(name = "zzdzs")
    @JsonProperty("zzdzs")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String zzdzs;

    /**
     * 属性 [XB]
     *
     */
    @JSONField(name = "xb")
    @JsonProperty("xb")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String xb;

    /**
     * 属性 [LGNX2_COLOR]
     *
     */
    @JSONField(name = "lgnx2_color")
    @JsonProperty("lgnx2_color")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String lgnx2Color;

    /**
     * 属性 [HQXLSXZY2]
     *
     */
    @JSONField(name = "hqxlsxzy2")
    @JsonProperty("hqxlsxzy2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String hqxlsxzy2;

    /**
     * 属性 [DACJGZSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "dacjgzsj" , format="yyyy-MM-dd")
    @JsonProperty("dacjgzsj")
    private Timestamp dacjgzsj;

    /**
     * 属性 [RDSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rdsj" , format="yyyy-MM-dd")
    @JsonProperty("rdsj")
    private Timestamp rdsj;

    /**
     * 属性 [LGKSSJ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "lgkssj2" , format="yyyy-MM-dd")
    @JsonProperty("lgkssj2")
    private Timestamp lgkssj2;

    /**
     * 属性 [SYCZJRQ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "syczjrq2" , format="yyyy-MM-dd")
    @JsonProperty("syczjrq2")
    private Timestamp syczjrq2;

    /**
     * 属性 [JG]
     *
     */
    @JSONField(name = "jg")
    @JsonProperty("jg")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String jg;

    /**
     * 属性 [KHCJTX]
     *
     */
    @JSONField(name = "khcjtx")
    @JsonProperty("khcjtx")
    private BigDecimal khcjtx;

    /**
     * 属性 [JLCZZ]
     *
     */
    @JSONField(name = "jlczz")
    @JsonProperty("jlczz")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String jlczz;

    /**
     * 属性 [PIMPERSONID]
     *
     */
    @JSONField(name = "pimpersonid")
    @JsonProperty("pimpersonid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pimpersonid;

    /**
     * 属性 [RZNX]
     *
     */
    @JSONField(name = "rznx")
    @JsonProperty("rznx")
    private BigDecimal rznx;

    /**
     * 属性 [RZNX2]
     *
     */
    @JSONField(name = "rznx2")
    @JsonProperty("rznx2")
    private BigDecimal rznx2;

    /**
     * 属性 [ORGTYPE]
     *
     */
    @JSONField(name = "orgtype")
    @JsonProperty("orgtype")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgtype;

    /**
     * 属性 [RTSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "rtsj" , format="yyyy-MM-dd")
    @JsonProperty("rtsj")
    private Timestamp rtsj;

    /**
     * 属性 [ZZMM]
     *
     */
    @JSONField(name = "zzmm")
    @JsonProperty("zzmm")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String zzmm;

    /**
     * 属性 [FIRSTEDUCATION]
     *
     */
    @JSONField(name = "firsteducation")
    @JsonProperty("firsteducation")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String firsteducation;

    /**
     * 属性 [DZJBJSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "dzjbjsj" , format="yyyy-MM-dd")
    @JsonProperty("dzjbjsj")
    private Timestamp dzjbjsj;

    /**
     * 属性 [YGBH]
     *
     */
    @JSONField(name = "ygbh")
    @JsonProperty("ygbh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygbh;

    /**
     * 属性 [NL]
     *
     */
    @JSONField(name = "nl")
    @JsonProperty("nl")
    private Integer nl;

    /**
     * 属性 [ZWNX2]
     *
     */
    @JSONField(name = "zwnx2")
    @JsonProperty("zwnx2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String zwnx2;

    /**
     * 属性 [DYXLBYSJ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "dyxlbysj2" , format="yyyy-MM-dd")
    @JsonProperty("dyxlbysj2")
    private Timestamp dyxlbysj2;

    /**
     * 属性 [ORMORGSECTORID]
     *
     */
    @JSONField(name = "ormorgsectorid")
    @JsonProperty("ormorgsectorid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgsectorid;

    /**
     * 属性 [ORMORGID]
     *
     */
    @JSONField(name = "ormorgid")
    @JsonProperty("ormorgid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgid;

    /**
     * 属性 [ORMORGNAME]
     *
     */
    @JSONField(name = "ormorgname")
    @JsonProperty("ormorgname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ormorgname;

    /**
     * 属性 [SYCZJRQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "syczjrq" , format="yyyy-MM-dd")
    @JsonProperty("syczjrq")
    private Timestamp syczjrq;

    /**
     * 属性 [CJGZSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "cjgzsj" , format="yyyy-MM-dd")
    @JsonProperty("cjgzsj")
    private Timestamp cjgzsj;

    /**
     * 属性 [SGJSRQ2]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "sgjsrq2" , format="yyyy-MM-dd")
    @JsonProperty("sgjsrq2")
    private Timestamp sgjsrq2;

    /**
     * 属性 [YGZT]
     *
     */
    @JSONField(name = "ygzt")
    @JsonProperty("ygzt")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String ygzt;

    /**
     * 属性 [CSRQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "csrq" , format="yyyy-MM-dd")
    @JsonProperty("csrq")
    private Timestamp csrq;

    /**
     * 属性 [DYXLBYYX2]
     *
     */
    @JSONField(name = "dyxlbyyx2")
    @JsonProperty("dyxlbyyx2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String dyxlbyyx2;

    /**
     * 属性 [ZGCODE]
     *
     */
    @JSONField(name = "zgcode")
    @JsonProperty("zgcode")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String zgcode;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgid;



}


