package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[PcmTxfpsqDTO]
 */
@Data
public class PcmTxfpsqDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [FINISHED]
     *
     */
    @JSONField(name = "finished")
    @JsonProperty("finished")
    private Integer finished;

    /**
     * 属性 [CZRID]
     *
     */
    @JSONField(name = "czrid")
    @JsonProperty("czrid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String czrid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [ORGSECTORID]
     *
     */
    @JSONField(name = "orgsectorid")
    @JsonProperty("orgsectorid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgsectorid;

    /**
     * 属性 [CHECKSTATUS]
     *
     */
    @JSONField(name = "checkstatus")
    @JsonProperty("checkstatus")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String checkstatus;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CZR]
     *
     */
    @JSONField(name = "czr")
    @JsonProperty("czr")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String czr;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgid;

    /**
     * 属性 [PCMTXFPSQID]
     *
     */
    @JSONField(name = "pcmtxfpsqid")
    @JsonProperty("pcmtxfpsqid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmtxfpsqid;

    /**
     * 属性 [FPSXSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "fpsxsj" , format="yyyy-MM-dd")
    @JsonProperty("fpsxsj")
    private Timestamp fpsxsj;

    /**
     * 属性 [PCMTXFPSQNAME]
     *
     */
    @JSONField(name = "pcmtxfpsqname")
    @JsonProperty("pcmtxfpsqname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pcmtxfpsqname;

    /**
     * 属性 [BZ]
     *
     */
    @JSONField(name = "bz")
    @JsonProperty("bz")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String bz;

    /**
     * 属性 [ZZ]
     *
     */
    @JSONField(name = "zz")
    @JsonProperty("zz")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String zz;

    /**
     * 属性 [PIMPERSONNAME]
     *
     */
    @JSONField(name = "pimpersonname")
    @JsonProperty("pimpersonname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pimpersonname;

    /**
     * 属性 [YZW]
     *
     */
    @JSONField(name = "yzw")
    @JsonProperty("yzw")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String yzw;

    /**
     * 属性 [XYGBH]
     *
     */
    @JSONField(name = "xygbh")
    @JsonProperty("xygbh")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String xygbh;

    /**
     * 属性 [NL]
     *
     */
    @JSONField(name = "nl")
    @JsonProperty("nl")
    private Integer nl;

    /**
     * 属性 [BMID]
     *
     */
    @JSONField(name = "bmid")
    @JsonProperty("bmid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bmid;

    /**
     * 属性 [YGBH]
     *
     */
    @JSONField(name = "ygbh")
    @JsonProperty("ygbh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygbh;

    /**
     * 属性 [POSTALADDRESS]
     *
     */
    @JSONField(name = "postaladdress")
    @JsonProperty("postaladdress")
    @Size(min = 0, max = 300, message = "内容长度必须小于等于[300]")
    private String postaladdress;

    /**
     * 属性 [YGW]
     *
     */
    @JSONField(name = "ygw")
    @JsonProperty("ygw")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String ygw;

    /**
     * 属性 [RANK]
     *
     */
    @JSONField(name = "rank")
    @JsonProperty("rank")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String rank;

    /**
     * 属性 [ZZID]
     *
     */
    @JSONField(name = "zzid")
    @JsonProperty("zzid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String zzid;

    /**
     * 属性 [TXDQ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "txdq" , format="yyyy-MM-dd")
    @JsonProperty("txdq")
    private Timestamp txdq;

    /**
     * 属性 [LXDH]
     *
     */
    @JSONField(name = "lxdh")
    @JsonProperty("lxdh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String lxdh;

    /**
     * 属性 [BM]
     *
     */
    @JSONField(name = "bm")
    @JsonProperty("bm")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bm;

    /**
     * 属性 [PIMPERSONID]
     *
     */
    @JSONField(name = "pimpersonid")
    @JsonProperty("pimpersonid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pimpersonid;

    /**
     * 属性 [PCMPROFILEID]
     *
     */
    @JSONField(name = "pcmprofileid")
    @JsonProperty("pcmprofileid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmprofileid;


    /**
     * 设置 [FINISHED]
     */
    public void setFinished(Integer  finished){
        this.finished = finished ;
        this.modify("finished",finished);
    }

    /**
     * 设置 [CZRID]
     */
    public void setCzrid(String  czrid){
        this.czrid = czrid ;
        this.modify("czrid",czrid);
    }

    /**
     * 设置 [CHECKSTATUS]
     */
    public void setCheckstatus(String  checkstatus){
        this.checkstatus = checkstatus ;
        this.modify("checkstatus",checkstatus);
    }

    /**
     * 设置 [CZR]
     */
    public void setCzr(String  czr){
        this.czr = czr ;
        this.modify("czr",czr);
    }

    /**
     * 设置 [FPSXSJ]
     */
    public void setFpsxsj(Timestamp  fpsxsj){
        this.fpsxsj = fpsxsj ;
        this.modify("fpsxsj",fpsxsj);
    }

    /**
     * 设置 [PCMTXFPSQNAME]
     */
    public void setPcmtxfpsqname(String  pcmtxfpsqname){
        this.pcmtxfpsqname = pcmtxfpsqname ;
        this.modify("pcmtxfpsqname",pcmtxfpsqname);
    }

    /**
     * 设置 [BZ]
     */
    public void setBz(String  bz){
        this.bz = bz ;
        this.modify("bz",bz);
    }

    /**
     * 设置 [ZZ]
     */
    public void setZz(String  zz){
        this.zz = zz ;
        this.modify("zz",zz);
    }

    /**
     * 设置 [YZW]
     */
    public void setYzw(String  yzw){
        this.yzw = yzw ;
        this.modify("yzw",yzw);
    }

    /**
     * 设置 [XYGBH]
     */
    public void setXygbh(String  xygbh){
        this.xygbh = xygbh ;
        this.modify("xygbh",xygbh);
    }

    /**
     * 设置 [NL]
     */
    public void setNl(Integer  nl){
        this.nl = nl ;
        this.modify("nl",nl);
    }

    /**
     * 设置 [BMID]
     */
    public void setBmid(String  bmid){
        this.bmid = bmid ;
        this.modify("bmid",bmid);
    }

    /**
     * 设置 [YGBH]
     */
    public void setYgbh(String  ygbh){
        this.ygbh = ygbh ;
        this.modify("ygbh",ygbh);
    }

    /**
     * 设置 [POSTALADDRESS]
     */
    public void setPostaladdress(String  postaladdress){
        this.postaladdress = postaladdress ;
        this.modify("postaladdress",postaladdress);
    }

    /**
     * 设置 [YGW]
     */
    public void setYgw(String  ygw){
        this.ygw = ygw ;
        this.modify("ygw",ygw);
    }

    /**
     * 设置 [RANK]
     */
    public void setRank(String  rank){
        this.rank = rank ;
        this.modify("rank",rank);
    }

    /**
     * 设置 [ZZID]
     */
    public void setZzid(String  zzid){
        this.zzid = zzid ;
        this.modify("zzid",zzid);
    }

    /**
     * 设置 [TXDQ]
     */
    public void setTxdq(Timestamp  txdq){
        this.txdq = txdq ;
        this.modify("txdq",txdq);
    }

    /**
     * 设置 [LXDH]
     */
    public void setLxdh(String  lxdh){
        this.lxdh = lxdh ;
        this.modify("lxdh",lxdh);
    }

    /**
     * 设置 [BM]
     */
    public void setBm(String  bm){
        this.bm = bm ;
        this.modify("bm",bm);
    }

    /**
     * 设置 [PIMPERSONID]
     */
    public void setPimpersonid(String  pimpersonid){
        this.pimpersonid = pimpersonid ;
        this.modify("pimpersonid",pimpersonid);
    }

    /**
     * 设置 [PCMPROFILEID]
     */
    public void setPcmprofileid(String  pcmprofileid){
        this.pcmprofileid = pcmprofileid ;
        this.modify("pcmprofileid",pcmprofileid);
    }


}


