package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[PcmXygzzjlmxDTO]
 */
@Data
public class PcmXygzzjlmxDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [ORGID]
     *
     */
    @JSONField(name = "orgid")
    @JsonProperty("orgid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [PCMXYGZZJLMXNAME]
     *
     */
    @JSONField(name = "pcmxygzzjlmxname")
    @JsonProperty("pcmxygzzjlmxname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pcmxygzzjlmxname;

    /**
     * 属性 [CHECKSTATUS]
     *
     */
    @JSONField(name = "checkstatus")
    @JsonProperty("checkstatus")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String checkstatus;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [ZZSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "zzsj" , format="yyyy-MM-dd")
    @JsonProperty("zzsj")
    private Timestamp zzsj;

    /**
     * 属性 [FINISHED]
     *
     */
    @JSONField(name = "finished")
    @JsonProperty("finished")
    private Integer finished;

    /**
     * 属性 [PCMXYGZZJLMXID]
     *
     */
    @JSONField(name = "pcmxygzzjlmxid")
    @JsonProperty("pcmxygzzjlmxid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmxygzzjlmxid;

    /**
     * 属性 [ORGSECTORID]
     *
     */
    @JSONField(name = "orgsectorid")
    @JsonProperty("orgsectorid")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String orgsectorid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [ISTEMP]
     *
     */
    @JSONField(name = "istemp")
    @JsonProperty("istemp")
    private Integer istemp;

    /**
     * 属性 [RZQD]
     *
     */
    @JSONField(name = "rzqd")
    @JsonProperty("rzqd")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String rzqd;

    /**
     * 属性 [JSSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "jssj" , format="yyyy-MM-dd")
    @JsonProperty("jssj")
    private Timestamp jssj;

    /**
     * 属性 [BM]
     *
     */
    @JSONField(name = "bm")
    @JsonProperty("bm")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bm;

    /**
     * 属性 [PCMXYGZZKHJGJLNAME]
     *
     */
    @JSONField(name = "pcmxygzzkhjgjlname")
    @JsonProperty("pcmxygzzkhjgjlname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pcmxygzzkhjgjlname;

    /**
     * 属性 [DURATION]
     *
     */
    @JSONField(name = "duration")
    @JsonProperty("duration")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String duration;

    /**
     * 属性 [PCMXYGZZSQNAME]
     *
     */
    @JSONField(name = "pcmxygzzsqname")
    @JsonProperty("pcmxygzzsqname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pcmxygzzsqname;

    /**
     * 属性 [PIMPERSONNAME]
     *
     */
    @JSONField(name = "pimpersonname")
    @JsonProperty("pimpersonname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String pimpersonname;

    /**
     * 属性 [FS]
     *
     */
    @JSONField(name = "fs")
    @JsonProperty("fs")
    private Double fs;

    /**
     * 属性 [YGBH]
     *
     */
    @JSONField(name = "ygbh")
    @JsonProperty("ygbh")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ygbh;

    /**
     * 属性 [QSSJ]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "qssj" , format="yyyy-MM-dd")
    @JsonProperty("qssj")
    private Timestamp qssj;

    /**
     * 属性 [ZZ]
     *
     */
    @JSONField(name = "zz")
    @JsonProperty("zz")
    @Size(min = 0, max = 500, message = "内容长度必须小于等于[500]")
    private String zz;

    /**
     * 属性 [ZZGW]
     *
     */
    @JSONField(name = "zzgw")
    @JsonProperty("zzgw")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String zzgw;

    /**
     * 属性 [ZZID]
     *
     */
    @JSONField(name = "zzid")
    @JsonProperty("zzid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String zzid;

    /**
     * 属性 [PJ]
     *
     */
    @JSONField(name = "pj")
    @JsonProperty("pj")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String pj;

    /**
     * 属性 [BMID]
     *
     */
    @JSONField(name = "bmid")
    @JsonProperty("bmid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bmid;

    /**
     * 属性 [PIMPERSONID]
     *
     */
    @JSONField(name = "pimpersonid")
    @JsonProperty("pimpersonid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pimpersonid;

    /**
     * 属性 [PCMXYGZZSQID]
     *
     */
    @JSONField(name = "pcmxygzzsqid")
    @JsonProperty("pcmxygzzsqid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmxygzzsqid;

    /**
     * 属性 [PCMXYGZZKHJGJLID]
     *
     */
    @JSONField(name = "pcmxygzzkhjgjlid")
    @JsonProperty("pcmxygzzkhjgjlid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String pcmxygzzkhjgjlid;


    /**
     * 设置 [PCMXYGZZJLMXNAME]
     */
    public void setPcmxygzzjlmxname(String  pcmxygzzjlmxname){
        this.pcmxygzzjlmxname = pcmxygzzjlmxname ;
        this.modify("pcmxygzzjlmxname",pcmxygzzjlmxname);
    }

    /**
     * 设置 [CHECKSTATUS]
     */
    public void setCheckstatus(String  checkstatus){
        this.checkstatus = checkstatus ;
        this.modify("checkstatus",checkstatus);
    }

    /**
     * 设置 [ZZSJ]
     */
    public void setZzsj(Timestamp  zzsj){
        this.zzsj = zzsj ;
        this.modify("zzsj",zzsj);
    }

    /**
     * 设置 [FINISHED]
     */
    public void setFinished(Integer  finished){
        this.finished = finished ;
        this.modify("finished",finished);
    }

    /**
     * 设置 [ISTEMP]
     */
    public void setIstemp(Integer  istemp){
        this.istemp = istemp ;
        this.modify("istemp",istemp);
    }

    /**
     * 设置 [RZQD]
     */
    public void setRzqd(String  rzqd){
        this.rzqd = rzqd ;
        this.modify("rzqd",rzqd);
    }

    /**
     * 设置 [BM]
     */
    public void setBm(String  bm){
        this.bm = bm ;
        this.modify("bm",bm);
    }

    /**
     * 设置 [DURATION]
     */
    public void setDuration(String  duration){
        this.duration = duration ;
        this.modify("duration",duration);
    }

    /**
     * 设置 [FS]
     */
    public void setFs(Double  fs){
        this.fs = fs ;
        this.modify("fs",fs);
    }

    /**
     * 设置 [YGBH]
     */
    public void setYgbh(String  ygbh){
        this.ygbh = ygbh ;
        this.modify("ygbh",ygbh);
    }

    /**
     * 设置 [ZZ]
     */
    public void setZz(String  zz){
        this.zz = zz ;
        this.modify("zz",zz);
    }

    /**
     * 设置 [ZZGW]
     */
    public void setZzgw(String  zzgw){
        this.zzgw = zzgw ;
        this.modify("zzgw",zzgw);
    }

    /**
     * 设置 [ZZID]
     */
    public void setZzid(String  zzid){
        this.zzid = zzid ;
        this.modify("zzid",zzid);
    }

    /**
     * 设置 [PJ]
     */
    public void setPj(String  pj){
        this.pj = pj ;
        this.modify("pj",pj);
    }

    /**
     * 设置 [BMID]
     */
    public void setBmid(String  bmid){
        this.bmid = bmid ;
        this.modify("bmid",bmid);
    }

    /**
     * 设置 [PIMPERSONID]
     */
    public void setPimpersonid(String  pimpersonid){
        this.pimpersonid = pimpersonid ;
        this.modify("pimpersonid",pimpersonid);
    }

    /**
     * 设置 [PCMXYGZZSQID]
     */
    public void setPcmxygzzsqid(String  pcmxygzzsqid){
        this.pcmxygzzsqid = pcmxygzzsqid ;
        this.modify("pcmxygzzsqid",pcmxygzzsqid);
    }

    /**
     * 设置 [PCMXYGZZKHJGJLID]
     */
    public void setPcmxygzzkhjgjlid(String  pcmxygzzkhjgjlid){
        this.pcmxygzzkhjgjlid = pcmxygzzkhjgjlid ;
        this.modify("pcmxygzzkhjgjlid",pcmxygzzkhjgjlid);
    }


}


