package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[SalLogDTO]
 */
@Data
public class SalLogDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [VAL2]
     *
     */
    @JSONField(name = "val2")
    @JsonProperty("val2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String val2;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [SALLOGNAME]
     *
     */
    @JSONField(name = "sallogname")
    @JsonProperty("sallogname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String sallogname;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [SALLOGID]
     *
     */
    @JSONField(name = "sallogid")
    @JsonProperty("sallogid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String sallogid;

    /**
     * 属性 [VAL1]
     *
     */
    @JSONField(name = "val1")
    @JsonProperty("val1")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String val1;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [SALSALARYNAME]
     *
     */
    @JSONField(name = "salsalaryname")
    @JsonProperty("salsalaryname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salsalaryname;

    /**
     * 属性 [SALSALARYDETAILNAME]
     *
     */
    @JSONField(name = "salsalarydetailname")
    @JsonProperty("salsalarydetailname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salsalarydetailname;

    /**
     * 属性 [SALSALARYDETAILID]
     *
     */
    @JSONField(name = "salsalarydetailid")
    @JsonProperty("salsalarydetailid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salsalarydetailid;

    /**
     * 属性 [SALSALARYID]
     *
     */
    @JSONField(name = "salsalaryid")
    @JsonProperty("salsalaryid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salsalaryid;


    /**
     * 设置 [VAL2]
     */
    public void setVal2(String  val2){
        this.val2 = val2 ;
        this.modify("val2",val2);
    }

    /**
     * 设置 [SALLOGNAME]
     */
    public void setSallogname(String  sallogname){
        this.sallogname = sallogname ;
        this.modify("sallogname",sallogname);
    }

    /**
     * 设置 [VAL1]
     */
    public void setVal1(String  val1){
        this.val1 = val1 ;
        this.modify("val1",val1);
    }

    /**
     * 设置 [SALSALARYDETAILID]
     */
    public void setSalsalarydetailid(String  salsalarydetailid){
        this.salsalarydetailid = salsalarydetailid ;
        this.modify("salsalarydetailid",salsalarydetailid);
    }

    /**
     * 设置 [SALSALARYID]
     */
    public void setSalsalaryid(String  salsalaryid){
        this.salsalaryid = salsalaryid ;
        this.modify("salsalaryid",salsalaryid);
    }


}


