package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[SalParamDTO]
 */
@Data
public class SalParamDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    @Size(min = 0, max = 2000, message = "内容长度必须小于等于[2000]")
    private String memo;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [PARAM]
     *
     */
    @JSONField(name = "param")
    @JsonProperty("param")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String param;

    /**
     * 属性 [SALPARAMID]
     *
     */
    @JSONField(name = "salparamid")
    @JsonProperty("salparamid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salparamid;

    /**
     * 属性 [SALPARAMNAME]
     *
     */
    @JSONField(name = "salparamname")
    @JsonProperty("salparamname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salparamname;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [SALSOURCENAME]
     *
     */
    @JSONField(name = "salsourcename")
    @JsonProperty("salsourcename")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salsourcename;

    /**
     * 属性 [SALSOURCEID]
     *
     */
    @JSONField(name = "salsourceid")
    @JsonProperty("salsourceid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salsourceid;


    /**
     * 设置 [MEMO]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.modify("memo",memo);
    }

    /**
     * 设置 [PARAM]
     */
    public void setParam(String  param){
        this.param = param ;
        this.modify("param",param);
    }

    /**
     * 设置 [SALPARAMNAME]
     */
    public void setSalparamname(String  salparamname){
        this.salparamname = salparamname ;
        this.modify("salparamname",salparamname);
    }

    /**
     * 设置 [SALSOURCEID]
     */
    public void setSalsourceid(String  salsourceid){
        this.salsourceid = salsourceid ;
        this.modify("salsourceid",salsourceid);
    }


}


