package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[SalRuleDetailDTO]
 */
@Data
public class SalRuleDetailDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [SALRULEDETAILNAME]
     *
     */
    @JSONField(name = "salruledetailname")
    @JsonProperty("salruledetailname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salruledetailname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [CHECKRULE]
     *
     */
    @JSONField(name = "checkrule")
    @JsonProperty("checkrule")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String checkrule;

    /**
     * 属性 [SALRULEDETAILID]
     *
     */
    @JSONField(name = "salruledetailid")
    @JsonProperty("salruledetailid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salruledetailid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [SALRULENAME]
     *
     */
    @JSONField(name = "salrulename")
    @JsonProperty("salrulename")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salrulename;

    /**
     * 属性 [SALPARAMNAME]
     *
     */
    @JSONField(name = "salparamname")
    @JsonProperty("salparamname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salparamname;

    /**
     * 属性 [SALPARAMNAME2]
     *
     */
    @JSONField(name = "salparamname2")
    @JsonProperty("salparamname2")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salparamname2;

    /**
     * 属性 [SALPARAMID]
     *
     */
    @JSONField(name = "salparamid")
    @JsonProperty("salparamid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salparamid;

    /**
     * 属性 [SALRULEID]
     *
     */
    @JSONField(name = "salruleid")
    @JsonProperty("salruleid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salruleid;

    /**
     * 属性 [SALPARAMID2]
     *
     */
    @JSONField(name = "salparamid2")
    @JsonProperty("salparamid2")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salparamid2;


    /**
     * 设置 [SALRULEDETAILNAME]
     */
    public void setSalruledetailname(String  salruledetailname){
        this.salruledetailname = salruledetailname ;
        this.modify("salruledetailname",salruledetailname);
    }

    /**
     * 设置 [CHECKRULE]
     */
    public void setCheckrule(String  checkrule){
        this.checkrule = checkrule ;
        this.modify("checkrule",checkrule);
    }

    /**
     * 设置 [SALPARAMID]
     */
    public void setSalparamid(String  salparamid){
        this.salparamid = salparamid ;
        this.modify("salparamid",salparamid);
    }

    /**
     * 设置 [SALRULEID]
     */
    public void setSalruleid(String  salruleid){
        this.salruleid = salruleid ;
        this.modify("salruleid",salruleid);
    }

    /**
     * 设置 [SALPARAMID2]
     */
    public void setSalparamid2(String  salparamid2){
        this.salparamid2 = salparamid2 ;
        this.modify("salparamid2",salparamid2);
    }


}


