package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[SalSalaryDetailDTO]
 */
@Data
public class SalSalaryDetailDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [SALSALARYDETAILNAME]
     *
     */
    @JSONField(name = "salsalarydetailname")
    @JsonProperty("salsalarydetailname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salsalarydetailname;

    /**
     * 属性 [SALSALARYDETAILID]
     *
     */
    @JSONField(name = "salsalarydetailid")
    @JsonProperty("salsalarydetailid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salsalarydetailid;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [YWZ]
     *
     */
    @JSONField(name = "ywz")
    @JsonProperty("ywz")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ywz;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [YWMS]
     *
     */
    @JSONField(name = "ywms")
    @JsonProperty("ywms")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ywms;

    /**
     * 属性 [XC]
     *
     */
    @JSONField(name = "xc")
    @JsonProperty("xc")
    private Double xc;

    /**
     * 属性 [SALSALARYNAME]
     *
     */
    @JSONField(name = "salsalaryname")
    @JsonProperty("salsalaryname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salsalaryname;

    /**
     * 属性 [SALSCHEMEITEMNAME]
     *
     */
    @JSONField(name = "salschemeitemname")
    @JsonProperty("salschemeitemname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String salschemeitemname;

    /**
     * 属性 [SALSCHEMEITEMID]
     *
     */
    @JSONField(name = "salschemeitemid")
    @JsonProperty("salschemeitemid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salschemeitemid;

    /**
     * 属性 [SALSALARYID]
     *
     */
    @JSONField(name = "salsalaryid")
    @JsonProperty("salsalaryid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String salsalaryid;


    /**
     * 设置 [SALSALARYDETAILNAME]
     */
    public void setSalsalarydetailname(String  salsalarydetailname){
        this.salsalarydetailname = salsalarydetailname ;
        this.modify("salsalarydetailname",salsalarydetailname);
    }

    /**
     * 设置 [YWZ]
     */
    public void setYwz(String  ywz){
        this.ywz = ywz ;
        this.modify("ywz",ywz);
    }

    /**
     * 设置 [YWMS]
     */
    public void setYwms(String  ywms){
        this.ywms = ywms ;
        this.modify("ywms",ywms);
    }

    /**
     * 设置 [XC]
     */
    public void setXc(Double  xc){
        this.xc = xc ;
        this.modify("xc",xc);
    }

    /**
     * 设置 [SALSCHEMEITEMID]
     */
    public void setSalschemeitemid(String  salschemeitemid){
        this.salschemeitemid = salschemeitemid ;
        this.modify("salschemeitemid",salschemeitemid);
    }

    /**
     * 设置 [SALSALARYID]
     */
    public void setSalsalaryid(String  salsalaryid){
        this.salsalaryid = salsalaryid ;
        this.modify("salsalaryid",salsalaryid);
    }


}


