package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[TrmTrafficDTO]
 */
@Data
public class TrmTrafficDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [TRMTRAFFICID]
     *
     */
    @JSONField(name = "trmtrafficid")
    @JsonProperty("trmtrafficid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String trmtrafficid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [JTFS]
     *
     */
    @JSONField(name = "jtfs")
    @JsonProperty("jtfs")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String jtfs;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [ZM]
     *
     */
    @JSONField(name = "zm")
    @JsonProperty("zm")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String zm;

    /**
     * 属性 [TRMTRAFFICNAME]
     *
     */
    @JSONField(name = "trmtrafficname")
    @JsonProperty("trmtrafficname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String trmtrafficname;

    /**
     * 属性 [XLMC]
     *
     */
    @JSONField(name = "xlmc")
    @JsonProperty("xlmc")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String xlmc;

    /**
     * 属性 [CK]
     *
     */
    @JSONField(name = "ck")
    @JsonProperty("ck")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ck;

    /**
     * 属性 [MDD]
     *
     */
    @JSONField(name = "mdd")
    @JsonProperty("mdd")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String mdd;

    /**
     * 属性 [CFD]
     *
     */
    @JSONField(name = "cfd")
    @JsonProperty("cfd")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String cfd;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [TRMTRAINADDRESSNAME]
     *
     */
    @JSONField(name = "trmtrainaddressname")
    @JsonProperty("trmtrainaddressname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String trmtrainaddressname;

    /**
     * 属性 [TRMTRAINADDRESSID]
     *
     */
    @JSONField(name = "trmtrainaddressid")
    @JsonProperty("trmtrainaddressid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String trmtrainaddressid;


    /**
     * 设置 [JTFS]
     */
    public void setJtfs(String  jtfs){
        this.jtfs = jtfs ;
        this.modify("jtfs",jtfs);
    }

    /**
     * 设置 [ZM]
     */
    public void setZm(String  zm){
        this.zm = zm ;
        this.modify("zm",zm);
    }

    /**
     * 设置 [TRMTRAFFICNAME]
     */
    public void setTrmtrafficname(String  trmtrafficname){
        this.trmtrafficname = trmtrafficname ;
        this.modify("trmtrafficname",trmtrafficname);
    }

    /**
     * 设置 [XLMC]
     */
    public void setXlmc(String  xlmc){
        this.xlmc = xlmc ;
        this.modify("xlmc",xlmc);
    }

    /**
     * 设置 [CK]
     */
    public void setCk(String  ck){
        this.ck = ck ;
        this.modify("ck",ck);
    }

    /**
     * 设置 [MDD]
     */
    public void setMdd(String  mdd){
        this.mdd = mdd ;
        this.modify("mdd",mdd);
    }

    /**
     * 设置 [CFD]
     */
    public void setCfd(String  cfd){
        this.cfd = cfd ;
        this.modify("cfd",cfd);
    }

    /**
     * 设置 [TRMTRAINADDRESSID]
     */
    public void setTrmtrainaddressid(String  trmtrainaddressid){
        this.trmtrainaddressid = trmtrainaddressid ;
        this.modify("trmtrainaddressid",trmtrainaddressid);
    }


}


