package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[TrmTrainDemandDTO]
 */
@Data
public class TrmTrainDemandDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HZND]
     *
     */
    @JSONField(name = "hznd")
    @JsonProperty("hznd")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String hznd;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HZJD]
     *
     */
    @JSONField(name = "hzjd")
    @JsonProperty("hzjd")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String hzjd;

    /**
     * 属性 [HZRS]
     *
     */
    @JSONField(name = "hzrs")
    @JsonProperty("hzrs")
    private Integer hzrs;

    /**
     * 属性 [TRMTRAINDEMANDID]
     *
     */
    @JSONField(name = "trmtraindemandid")
    @JsonProperty("trmtraindemandid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String trmtraindemandid;

    /**
     * 属性 [TRMTRAINDEMANDNAME]
     *
     */
    @JSONField(name = "trmtraindemandname")
    @JsonProperty("trmtraindemandname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String trmtraindemandname;

    /**
     * 属性 [ORMORGNAME]
     *
     */
    @JSONField(name = "ormorgname")
    @JsonProperty("ormorgname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String ormorgname;

    /**
     * 属性 [ORMORGID]
     *
     */
    @JSONField(name = "ormorgid")
    @JsonProperty("ormorgid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String ormorgid;


    /**
     * 设置 [HZND]
     */
    public void setHznd(String  hznd){
        this.hznd = hznd ;
        this.modify("hznd",hznd);
    }

    /**
     * 设置 [HZJD]
     */
    public void setHzjd(String  hzjd){
        this.hzjd = hzjd ;
        this.modify("hzjd",hzjd);
    }

    /**
     * 设置 [HZRS]
     */
    public void setHzrs(Integer  hzrs){
        this.hzrs = hzrs ;
        this.modify("hzrs",hzrs);
    }

    /**
     * 设置 [TRMTRAINDEMANDNAME]
     */
    public void setTrmtraindemandname(String  trmtraindemandname){
        this.trmtraindemandname = trmtraindemandname ;
        this.modify("trmtraindemandname",trmtraindemandname);
    }

    /**
     * 设置 [ORMORGID]
     */
    public void setOrmorgid(String  ormorgid){
        this.ormorgid = ormorgid ;
        this.modify("ormorgid",ormorgid);
    }


}


