package cn.ibizlab.ehr.webapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.ehr.util.domain.DTOBase;
import cn.ibizlab.ehr.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[TrmZzobmDTO]
 */
@Data
public class TrmZzobmDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String updateman;

    /**
     * 属性 [ENABLE]
     *
     */
    @JSONField(name = "enable")
    @JsonProperty("enable")
    private Integer enable;

    /**
     * 属性 [LX]
     *
     */
    @JSONField(name = "lx")
    @JsonProperty("lx")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String lx;

    /**
     * 属性 [TRMZZOBMNAME]
     *
     */
    @JSONField(name = "trmzzobmname")
    @JsonProperty("trmzzobmname")
    @Size(min = 0, max = 200, message = "内容长度必须小于等于[200]")
    private String trmzzobmname;

    /**
     * 属性 [TRMZZOBMID]
     *
     */
    @JSONField(name = "trmzzobmid")
    @JsonProperty("trmzzobmid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String trmzzobmid;

    /**
     * 属性 [BM]
     *
     */
    @JSONField(name = "bm")
    @JsonProperty("bm")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String bm;

    /**
     * 属性 [SJDWID]
     *
     */
    @JSONField(name = "sjdwid")
    @JsonProperty("sjdwid")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String sjdwid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    @Size(min = 0, max = 60, message = "内容长度必须小于等于[60]")
    private String createman;

    /**
     * 属性 [DW]
     *
     */
    @JSONField(name = "dw")
    @JsonProperty("dw")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String dw;


    /**
     * 设置 [LX]
     */
    public void setLx(String  lx){
        this.lx = lx ;
        this.modify("lx",lx);
    }

    /**
     * 设置 [TRMZZOBMNAME]
     */
    public void setTrmzzobmname(String  trmzzobmname){
        this.trmzzobmname = trmzzobmname ;
        this.modify("trmzzobmname",trmzzobmname);
    }

    /**
     * 设置 [BM]
     */
    public void setBm(String  bm){
        this.bm = bm ;
        this.modify("bm",bm);
    }

    /**
     * 设置 [SJDWID]
     */
    public void setSjdwid(String  sjdwid){
        this.sjdwid = sjdwid ;
        this.modify("sjdwid",sjdwid);
    }

    /**
     * 设置 [DW]
     */
    public void setDw(String  dw){
        this.dw = dw ;
        this.modify("dw",dw);
    }


}


